Package org.eclipse.net4j.util.om.monitor

## Class Monitor

- java.lang.Object
- - org.eclipse.net4j.util.om.monitor.AbstractMonitor
  - - org.eclipse.net4j.util.om.monitor.Monitor

- All Implemented Interfaces:
    `OMMonitor`, `OMMonitorProgress`
  Direct Known Subclasses:
    `EclipseMonitor`, `NotifyingMonitor`, `TimeoutMonitor`

      public class Monitor
      extends AbstractMonitor

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.om.monitor.AbstractMonitor

      `AbstractMonitor.AsyncTimerTask`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.om.monitor.OMMonitor

      `OMMonitor.Async`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `DEFAULT_ASYNC_SCHEDULE_PERIOD` |

    - ### Fields inherited from interface org.eclipse.net4j.util.om.monitor.OMMonitor

      `DEFAULT_TIME_FACTOR, THOUSAND`

    - ### Fields inherited from interface org.eclipse.net4j.util.om.monitor.OMMonitorProgress

      `HUNDRED, ONE, TEN, ZERO`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Monitor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cancel()` |
    `void` | `cancel​(java.lang.RuntimeException cancelException)` |
    `void` | `checkCanceled()` |
    `protected long` | `getAsyncSchedulePeriod()` |
    `protected java.util.Timer` | `getTimer()` |
    `boolean` | `isCanceled()` |
    `protected void` | `scheduleAtFixedRate​(java.util.TimerTask task, long delay, long period)` |

    - ### Methods inherited from class org.eclipse.net4j.util.om.monitor.AbstractMonitor

      `begin, begin, createAsyncTimerTask, createNestedMonitor, done, fork, fork, forkAsync, forkAsync, getTotalWork, getWork, getWorkPercent, hasBegun, percent, worked, worked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ASYNC_SCHEDULE_PERIOD

          public static final long DEFAULT_ASYNC_SCHEDULE_PERIOD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Monitor

          public Monitor()

  - ### Method Detail

    - #### cancel

          public void cancel()

    - #### cancel

          public void cancel​(java.lang.RuntimeException cancelException)

    - #### isCanceled

          public boolean isCanceled()

    - #### checkCanceled

          public void checkCanceled()
                             throws MonitorCanceledException

      Throws:
        `MonitorCanceledException`

    - #### getAsyncSchedulePeriod

          protected long getAsyncSchedulePeriod()

      Specified by:
        `getAsyncSchedulePeriod` in class `AbstractMonitor`

    - #### getTimer

          protected java.util.Timer getTimer()

      Specified by:
        `getTimer` in class `AbstractMonitor`

    - #### scheduleAtFixedRate

          protected void scheduleAtFixedRate​(java.util.TimerTask task,
                                             long delay,
                                             long period)

      Specified by:
        `scheduleAtFixedRate` in class `AbstractMonitor`